Rollbar notification
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Rollbar notification action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Rollbar Action",
"type": "ROLLBAR",
"trigger_time": "ON_EVERY_EXECUTION",
"user": "mike",
"rollbar_username": "MikeB",
"application": "123456",
"environment": "$envName",
"comment": "Deploy comment",
"variables": [
{
"key": "envName",
"value": "MyEnvironment"
}
],
"integration": {
"identifier": "rollbar"
}
}'STATUS200 OK